<?php

declare(strict_types=1);

namespace Drupal\sites_group\Plugin\Site;

use Drupal\group\Entity\GroupInterface;
use Drupal\sites\Plugin\Site\SiteInterface;

/**
 * Interface for site plugins provided by the sites_group module.
 */
interface GroupSiteInterface extends SiteInterface {

  /**
   * Gets and loads the corresponding group for the site.
   *
   * @return \Drupal\group\Entity\GroupInterface|NULL
   *   The sites related group.
   */
  public function getGroup(): ?GroupInterface;

}
